import request from '@/utils/request'

// 查询应急仓库信息列表
export function listWarehouse(query) {
  return request({
    url: '/material/warehouse/list',
    method: 'get',
    params: query
  })
}

// 查询应急仓库信息详细
export function getWarehouse(id) {
  return request({
    url: '/material/warehouse/' + id,
    method: 'get'
  })
}

// 新增应急仓库信息
export function addWarehouse(data) {
  return request({
    url: '/material/warehouse',
    method: 'post',
    data: data
  })
}

// 修改应急仓库信息
export function updateWarehouse(data) {
  return request({
    url: '/material/warehouse',
    method: 'put',
    data: data
  })
}

// 删除应急仓库信息
export function delWarehouse(id) {
  return request({
    url: '/material/warehouse/' + id,
    method: 'delete'
  })
}

// 库存物资
export function warehouseMaterialList(query) {
  return request({
    url: '/material/info/list',
    method: 'get',
    params: query
  })
}
// 修改库存物资
export function updateInfor(data) {
  return request({
    url: '/material/info',
    method: 'put',
    data: data
  })
}
// 入库/出库
export function rkWarehouse(data) {
  return request({
    url: '/material/info',
    method: 'post',
    data: data
  })
}
export function rkWarehouseAdd(data) {
  return request({
    url: '/material/info/add',
    method: 'post',
    data: data
  })
}
// 调拨接口
export function transferMaterial(data) {
  return request({
    url: '/material/info/transferMaterial',
    method: 'put',
    data: data
  })
}
// 删除物资 
export function delMaterial(id) {
  return request({
    url: '/material/info/remove/' + id,
    method: 'delete'
  })
}

//修改上下限
export function editMaterial(data) {
  return request({
    url: '/material/info/edit',
    method: 'put',
    data: data
  })
}


//库存预警物资列表
export function materialWarning(id) {
  return request({
    url: '/material/warehouse/materialWarning/' + id,
    method: 'get'
  })
}

//有效期预警物资列表
export function validityWarning(id) {
  return request({
    url: '/material/warehouse/validityWarning/' + id,
    method: 'get'
  })
}
